Subject: Re: bug#74627: .dir-locals.el warning messages are confusing

From: Stefan Kangas <[email-masked]>
Date: Wed, 11 Dec 2024 03:16:34 -0800

Björn Lindqvist <[email-masked]> writes:

> Aha. Emacs lists both safe and unsafe variables. Why does it list the
> safe ones? The warning would be much clearer if the safe variables
> were omitted since they don't matter. That would make it clear what
> variables "!" and "i" choices apply or mark as safe/ignored.

You have to see all of them to make an informed decision, I think.
Otherwise, an unsafe variable might be referring to a safe one, which is
the one containing the malicious bits.